module.exports = {
    webpack: function (config) {
      return {
        ...config,
        optimization: {
          splitChunks: {
            maxSize: 500000, // 5MB in static size, before compression
          },
        },
      
        resolve: {
          ...config.resolve,
          alias: {
            "react/jsx-runtime": "react/jsx-runtime.js",
            "react/jsx-dev-runtime": "react/jsx-dev-runtime.js"
          }
        }
      };
    }
  };